<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE config PUBLIC "-//ZoneCheck//DTD Config V1.0//EN" "msgcat.dtd">
<msgcat lang="en">
<!-- $Id: inetd.fr,v 1.5 2003/11/12 14:27:57 sdalu Exp $ -->

<!--
# 
# CONTACT     : zonecheck@nic.fr
# AUTHOR      : Stephane D'Alu <sdalu@nic.fr>
#
# CREATED     : 2003/08/28 11:23:17
# REVISION    : $Revision: 1.5 $ 
# DATE        : $Date: 2003/11/12 14:27:57 $
#
# CONTRIBUTORS: (see also CREDITS file)
#
#
# LICENSE     : GPL v2 (or MIT/X11-like after agreement)
# COPYRIGHT   : AFNIC (c) 2003
#
# This file is part of ZoneCheck.
#
# ZoneCheck is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# ZoneCheck is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ZoneCheck; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
-->

  <section name="input:inetd">
    <tag name="usage">usage: PROGNAME: [-hV] [-46] [-c conf]
        --lang          Choisit une autre langue (en, fr, ...)
    -h, --help          Affiche ce message
    -V, --version       Affiche le numéro de version et quitte
    -c, --config        Emplacement du fichier de configuration
        --testdir       Emplacement du répertoire contenant les tests
    -r, --resolver      Résolveur à utiliser pour déterminer les 'ns'
    -4, --ipv4          Autorise uniquement IPv4 pour vérifier le domaine
    -6, --ipv6          Autorise uniquement IPv6 pour vérifier le domaine
</tag>

    <tag name="help">Command           Args
  ?|help           0     Ce message
  q|quit|exit      0     Quite ZoneCheck
  check            0     Lance le processus de vérification de la zone
  zone|domain      1     Zone à tester
  nslist           0+    Liste des serveurs de la zone
  set              1-2   Option à activer (see options)
  unset            1     Option à supprimer (see options)
  preset           1     Préselection (supporté: classic, fatal)
  show             1     Affiche des valeurs possibles (supporté: profiles)

Options           Args
  lang             1     Choisit une autre langue (en, fr, ...)
  one              0     Affiche uniquement le message le plus significatif
  quiet            0     N'affiche pas de titres suplémentaires
  tagonly          0     Affiche uniquement les tags (idéal pour les scripts)
  category         1+    Limite les tests à un ensemble de catégories
  profile          1     Force l'utilisation d'un profile
  verbose          1+    Niveau de détail des informations (voir verbose)
  output           1+    Format de sortie (see output)
  error            1+    Comportement en cas d'erreur (voir error)
  transp           1+    Choix de la couche transport/routage (voir transp)
  option           1+    Options supplémentaires (-,-opt,opt,opt=toto)

Arguments for Options
  verbose:              [intro/testname/explain/details]
                        [reportok|fatalonly] [testdesc|counter]
    intro          [i]  Affiche un résumé du domaine et de ses serveurs
    testname       [n]  Affiche le nom du test
    explain        [x]  Affiche une explication en cas d'échec du test
    details        [d]  Affiche les détails liés à l'échec du test
    reportok       [o]  Affiche quand même les tests qui ont réussi
    fatalonly      [f]  Affiche uniquement les erreurs fatales
    testdesc       [t]  Affiche la description du test en cours
    counter        [c]  Affiche une barre de progression

  output:               [byseverity|byhost] [text|html]
    byseverity    *[bs] Affiche les résultats classés par sévérité
    byhost         [bh] Affiche les résultats classés par machine
    text          *[t]  Formatage en texte pur
    html           [h]  Formatage en HTML

  error:                [allfatal|allwarning|dfltseverity] [stop|nostop]
    allfatal       [af] Tout échec est considéré comme fatal
    allwarning     [aw] Tout échec est considéré comme un avertissement
    dfltseverity  *[ds] Utilise la sévérité associée au test
    stop          *[s]  Arrête dès le premier échec
    nostop         [ns] Exécute tous les tests (même après échec fatal)

  transp:               [ipv4/ipv6] [udp|tcp|std]
    ipv4          *[4]  Utilise le protocole de routage IPv4
    ipv6          *[6]  Utilise le protocole de routage IPv6
    udp            [u]  Utilise la couche de transport UDP
    tcp            [t]  Utilise la couche de transport TCP
    std           *[s]  Utilise UDP et se replie sur TCP si nécessaire

Exemple
  preset classic
  zone toto.com
  check
</tag>

    <tag name="welcome">Bienvenu sur Zonecheck VERSION

Pour changer la langue: set lang en
Pour demander l'aide  : help

Pour plus d'information sur ZoneCheck visitez l'URL suivante:
  http://www.zonecheck.fr/
</tag>

    <tag name="what">Je n'ai pas compris, essayez de demander de l'aide!</tag>
    <tag name="unknown_preset">Valeur de préselection '%s' inconnue</tag>
  </section>

  <!-- Local Variables: -->
  <!-- mode: xml        -->
  <!-- End:             -->
</msgcat>
