<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE config PUBLIC "-//ZoneCheck//DTD Config V1.0//EN" "msgcat.dtd">
<msgcat lang="en">
<!-- $Id: connectivity.fr,v 1.19 2003/12/16 16:44:37 sdalu Exp $ -->

<!--
# 
# CONTACT     : zonecheck@nic.fr
# AUTHOR      : Stephane D'Alu <sdalu@nic.fr>
#
# CREATED     : 2002/08/02 13:58:17
# REVISION    : $Revision: 1.19 $ 
# DATE        : $Date: 2003/12/16 16:44:37 $
#
# CONTRIBUTORS: (see also CREDITS file)
#
#
# LICENSE     : GPL v2 (or MIT/X11-like after agreement)
# COPYRIGHT   : AFNIC (c) 2003
#
# This file is part of ZoneCheck.
#
# ZoneCheck is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# ZoneCheck is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ZoneCheck; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
-->

  <shortcut>
    <explanation name="connectivity_udp_tcp">
      <src type="ref" from="rfc" fid="rfc1035#p32#4.2">
        <title>IETF RFC1035 (p.32 4.2. Transport)</title>
        <para>The DNS assumes that messages will be transmitted as 
          datagrams or in a byte stream carried by a virtual circuit.
          While virtual circuits can be used for any DNS activity, 
          datagrams are preferred for queries due to their lower 
          overhead and better performance.</para>
      </src>
    </explanation>
  </shortcut>

  <check name="icmp">
    <name>réponses aux requêtes ICMP</name>
    <success>L'hôte répond aux requêtes ICMP</success>
    <failure>L'hôte ne répond pas aux requêtes ICMP (présence d'un pare-feu?)</failure>
    <explanation/>
    <details/>
  </check>

  <check name="udp">
    <name>connectivité UDP</name>
    <success>Le serveur répond aux requêtes DNS en UDP sur le port 53</success>
    <failure>Le serveur n'écoute pas ou ne répond pas en UDP sur le port 53</failure>
    <explanation sameas="shortcut:connectivity_udp_tcp"/>
    <details/>
  </check>

  <check name="tcp">
    <name>connectivité TCP</name>
    <success>Le serveur répond aux requêtes DNS en TCP sur le port 53</success>
    <failure>Le serveur n'écoute pas ou ne répond pas en TCP sur le port 53</failure>
    <explanation sameas="shortcut:connectivity_udp_tcp"/>
    <details/>
  </check>

  <!-- Local Variables: -->
  <!-- mode: xml        -->
  <!-- End:             -->
</msgcat>
